Ids {fBasics} | R Documentation

## Set and Retrieve Column/Row Names

### Description

Sets and retrieves column and row names. The functions are for compatibility with SPlus.

### Usage

    colIds(x, ...)
    rowIds(x, ...)

### Arguments

`x` | a numeric matrix.
`...` | arguments to be passed.

### Details

Usualli in R the functions `colnames`, and `rownames` are used to retrieve and set the names of matrices. The functions `rowIds` and `colIds`, are S-Plus like synonyms.

### Examples

    ## pascal -
       # Create Pascal Matrix:
       P = pascal(3)
       P

    ## rownames -
       rownames(P) <- letters[1:3]
       P

    ## colIds<- -
       colIds(P) <- as.character(1:3)
       P

[Package fBasics version 3042.89 Index]